## org.biojava.utils
Class Services

    java.lang.Object
      org.biojava.utils.Services

    public class Services

extends Object

Utility methods for handling META-INF/services files

Since:
  1.3
Author:
  Thomas Down, Matthew Pocock

Constructor Summary
`Services()`

Method Summary
`static Set` `getImplementationNames(Class serviceIF)` Return a Set of names of implementations of the given service interface in the classloader from which BioJava was loaded.
`static Set` `getImplementationNames(Class serviceIF, ClassLoader loader)` Return a List of names of implementations of the given service interface available in a given classloader.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Services

    public Services()

Method Detail

### getImplementationNames

    public static Set getImplementationNames(Class serviceIF)
                                      throws IOException

  Return a Set of names of implementations of the given service interface in the classloader from which BioJava was loaded.

  Throws:
    `IOException`

### getImplementationNames

    public static Set getImplementationNames(Class serviceIF,
                                             ClassLoader loader)
                                      throws IOException

  Return a List of names of implementations of the given service interface available in a given classloader.

  Throws:
    `IOException`